<link href="#{assets '/bootstrap/css/jquery.fileupload.css'/}" rel="stylesheet" type="text/css">
<link href="#{assets '/bootstrap/css/bootstrap-datetimepicker.min.css'/}" rel="stylesheet" type="text/css">

<div class="bs-callout bs-callout-info">
    &{'BA.petunjuk_pembuatan'}<br />
</div>


<div class="alert alert-danger" id="msg-formBA">
    &{'BA.nomor_tanggal'}
    &{'BA.dan_doc_diisi'}
</div>
<div class="alert alert-danger" id="msg-invalidDokBA">
    &{'BA.untuk_doc'} ${labelDokumen} &{'BA.yg_dpt_diupload'}
</div>
<div class="alert alert-danger" id="msg-invalidDateBA">
    &{'BA.isian_tgl_doc'} ${labelDokumen} &{'BA.salah'}
</div>
#{form @devpartner.BeritaAcaraDpCtr.uploadBaSubmit(id), id:'form-upload-ba', enctype:"multipart/form-data", method:'POST', }
    <input type="hidden" name="ref" value="${referer}"/>
    <input type="hidden" name="jenis" value="${jenis}"/>
    <table class="table table-condensed">
        <tr>
            <th width="80px" class="bg-warning">&{'BA.nomor'} ${labelDokumen} <span class="warning">*</span></th>
            <td width="100px">
                <input name="no" type="text" class="form-control" value="${berita_acara?.brt_no}"/>
            </td>
        </tr>
        <tr>
            <th width="80px" class="bg-warning">&{'BA.tanggal'} ${labelDokumen} <span class="warning">*</span></th>
            <td>
                <div class="input-group datepicker width-normal" id="datepicker">
                    <input name="tanggal" type="text" class="form-control" value="${berita_acara?.brt_tgl_evaluasi != null ? berita_acara?.brt_tgl_evaluasi.toDatetimepicker() : today.toDatetimepicker()}"/>
                    <span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span></span>
                </div>
            </td>
        </tr>
        <tr>
            <th width="80px" class="bg-warning">&{'BA.keterangan_tambahan_lain'} </th>
            <td width="100px">
                <textarea rows="10" cols="10" id="info" name="info" class="form-control">${berita_acara?.brt_info}</textarea>
            </td>
        </tr>
        <tr>
            <th width="80px" class="bg-warning">&{'BA.doc'} ${labelDokumen} <span class="warning">*</span></th>
            <td width="100px">
                <input id="dok" class="form-control" name="file" type="file" />
            </td>
        </tr>
    </table>
    <a href="javascript:void(0)" class="btn btn-success btn-sm btn-simpan" id="btn-cetak-dokumen" onclick="validateBA();">
        <i class="fa fa-save"></i> &{'BA.upload_ba'}
    </a>
#{/form}

<script type="text/javascript" src="#{assets '/bootstrap/js/moment.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/bootstrap-datetimepicker.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.ui.widget.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.iframe-transport.min.js'/}"></script>
<script type="text/javascript">
    $(document).ready(function(){
        $("#msg-formBA").hide();
        $("#msg-invalidDokBA").hide();
        $("#msg-invalidDateBA").hide();
    });
    
    $("#datepicker").datetimepicker({
        format: 'DD-MM-YYYY HH:mm',
        showToday: true
    });
    
	function validateBA(){
        var no = $("input[name=\"no\"]").val();
        var tanggal = $("input[name=\"tanggal\"]").val();
        var dok = $("#dok").val();
        var extension = dok.replace(/^.*\./, '');
        var noTempat = false;
        var okDok = false;
        var okDate = false;
        var okForm = false;
        if (dok != "" && extension != "pdf") {
			$("#msg-invalidDokBA").show();
        } else {
        		$("#msg-invalidDokBA").hide();
        		okDok = true;
        }
        if (tanggal != "" && !isValidDate(tanggal)) {
			$("#msg-invalidDateBA").show();
        } else {
        		$("#msg-invalidDateBA").hide();
        		okDate = true;
        }
        if (no == "" || tanggal == "" || dok == "" || noTempat){
            $("#msg-formBA").show();
        } else {
            $("#msg-formBA").hide();
            okForm = true;
        	}
        if (okDok && okDate && okForm) 
    			$("#form-upload-ba").submit();
    }

    function isValidDate(dateString)
    {
		// Parse the date parts to integers
        var parts = dateString.split(" ")[0].split("-");
        var day = parseInt(parts[0], 10);
        var month = parseInt(parts[1], 10);
        var year = parseInt(parts[2], 10);

        // Check the ranges of month and year
        if(year < 1000 || year > 3000 || month == 0 || month > 12)
            return false;

        var monthLength = [ 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 ];

        // Adjust for leap years
        if(year % 400 == 0 || (year % 100 != 0 && year % 4 == 0))
        monthLength[1] = 29;

        // Check the range of the day
        return day > 0 && day <= monthLength[month - 1];
    };

</script>
